Skip to navigation

Get cluster minimal data by id

View as Markdown

Retrieve essential data for a specific cluster by ID required for common operations (e.g., workload submission)

Authentication

AuthorizationBearer
Bearer authentication

Path parameters

clusterUuidstringRequiredformat: "uuid">=1 character

The Universally Unique Identifier (UUID) of the cluster.

Response

ok
uuidstringformat: "uuid"
namestringformat: ".*"
tenantIdinteger
The id of the tenant.
versionstring or nullOptionalformat: ".*"
domainstring or nullOptionalformat: ".*"
platformobjectOptional
stateenumOptional
The cluster's state.
ingressClassstring or nullOptional
the ingress class that is configured for the cluster
dependenciesStatusobjectOptional

Errors

400
Bad Request Error
404
Not Found Error
503
Service Unavailable Error